Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 21 Sep 2014, 10:31
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Akita Linux, Beta 16 ISO
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 39 of 70 Posts_count   Goto page: Previous 1, 2, 3, ..., 37, 38, 39, 40, 41, ..., 68, 69, 70 Next
Author Message
Keef


Joined: 20 Dec 2007
Posts: 628
Location: Staffordshire

PostPosted: Sun 26 Feb 2012, 18:24    Post_subject:  

scottman,

This is working very well. My Armada M700 has morphed from a P450 to a P750, so things are snappier anyway.
Just a couple of issues:
Running Alsaconf from the Alsa Sound Wizard brings up a very narrow terminal window - it closes if you attempt to resize, (runs ok if started from terminal though). This was the case with beta 6 too.
Line 86 of alsawizard looks like this:
Code:
rxvt -geometry 60x3 -bg orange -e /usr/sbin/alsaconf

Changing to 70x30 seems to fit best, but any attempt to resize the window (not really necessary) still causes it to close.

Tried to install Amigo's src2pkg, but it failed when trying to compile libsentry. No idea why, but I'll post on his thread too. (yes, I've got the devx...).
Back to top
View user's profile Send_private_message 
outtaspam

Joined: 18 Dec 2009
Posts: 20

PostPosted: Sun 26 Feb 2012, 19:42    Post_subject: Akita 7 wont boot from CD  

Hello Puppy Lovers,

I'm having trouble getting Akita B7 to boot from a DVD+RW in my PC (specs follow). The ISO was burned in Win7 using its built in software.

The boot process stops with a blinking cursor after displaying this message

login[3891]: root login on 'tty1'

Thanks in advance for your help,
outtaspam

HP VL420
P4 1.8 Ghz
639 Mb RAM
NVIDIA GeForce 2MX/MX400
Retrofitted DVD-RW and second 80 Gb HDD
Back to top
View user's profile Send_private_message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2376
Location: UK

PostPosted: Mon 27 Feb 2012, 11:53    Post_subject:  

outtaspam, thanks for testing, not sure what that problem may be...
The old kernel doesn't like your hardware, maybe?
did you try booting with various pfix options?

pfix=ram pdev=sda1 pmedia=atahd psubdir=akita .... etc

There are various commands you can use to see what's going on, or not...
I think the 'dmesg' cmd should help, also there are some kernel logs in /tmp ..

From the console, if you can, try `cat /path/to/file` to read it... Or 'mp' Wink
______________________

Keef, I PM'd you about src2pkg, it's likely the gcc in the akita devx..
Install the gcc .pets and its deps from the wary5OLD repo, that should solve it..

I will also take a look at the sound wizard thing too...
Thanks for the feedback.
________________________

Techno, I have looked into that stuff before, and was all set to do it,
but I just cannot seem to get fbida compiled - I got libexif, lesstiff, etc all built..
But fbida keeps spitting errors about exiv and some files being missing,
can't remember exactly what at the moment...

But this leads me to something else.. I wanna compile a few things with framebuffer support,
but it seems as though the Akita devx does not have the requried stuff to
compile for framebuffer support, for example when building the 'Links-2.5' browser

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send_private_message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2376
Location: UK

PostPosted: Tue 28 Feb 2012, 17:40    Post_subject:  

Quick update...

I have fbi installed, only the console one, not the X viewer...
I have elinks working nicely with fbi in framebuffer Very Happy
I have adjusted elinks settings accordingly.

I have also updated more libs in the main SFS, /usr/lib and /usr/X11R7/lib...

I also updated lots of stuff in the Akita devx, and even got the wary 5.1.x devx working fine as well.

EDIT: solved fontconfig problems.

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search

Edited_times_total
Back to top
View user's profile Send_private_message 
Keef


Joined: 20 Dec 2007
Posts: 628
Location: Staffordshire

PostPosted: Wed 29 Feb 2012, 17:56    Post_subject: Links
Sub_title: framebuffer / DirectFB
 

sc0ttman,

Using Links 2.5 successfully with graphics and no X. For some reason it won't work under the plain framebuffer, even though the driver is enabled. It does work with DirectFB though.
Installed current DirectFB
Compiled links with:
--prefix=/usr --enable-graphics --with-directfb --with-fb

Key presses are doubled and it is impossible to type anything sensible (URLs etc) and moving the cursor with the arrow keys is affected too - jumps an extra line. To cure this, you need to do this:
Create a .directfbrc in root and add
Code:
disable-module=linux_input
. Found this fix after a bit of Googling.

The mouse cursor is a mess - barely visible, but usable once you get used to it. The cursor does tend to 'stick' to it a little eg if you use TAB to shift fields, it may stop where the mouse it positioned.

Launch links with:
Code:
 links -driver directfb
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3289
Location: Ontario

PostPosted: Thu 01 Mar 2012, 21:28    Post_subject: Beta 7 review:  

Beta 7 review:

1) You forgot to update Bacon Recorder and Quick Launch.

2 You must remove the file
.../OpenWith/.audio_x-ms-wma/Edit using Mhwaveedit

3) Is it possible for you to patch the kernel to open EXT4
formatted partitions? I have one because I used an Ubuntu installer.

4) I noticed that your right click feature 'Start with slideshow'
doesn't work when you try to launch the file from a USB stick
formatted as fat32. I investigated and found that feh and
feh_slideshow worked fine so I looked into how you made your
right click option.

I believe I found the mistake...


When I removed that one line the right click option worked fine
on a file stored on a USB stick.


5) Would you check if
.../OpenWith/.audio_x-pn-realaudio/Edit using Mhwaveedit
works. I don't have a file to check this.

_________________________________________

_________________________________________________
Back to top
View user's profile Send_private_message 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Fri 02 Mar 2012, 04:07    Post_subject: sfs_load-1.3.9  

Test please!
Test release: sfs_load-1.3.9.pet (2012-03-02)
Enhanced RAM mode, multisession live CD support, fixes regarding Puppy-4.x(was failed multisession CD operation).
Also need to refine the translations.
http://www.murga-linux.com/puppy/viewtopic.php?t=64354

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send_private_message Visit_website 
sc0ttman


Joined: 16 Sep 2009
Posts: 2376
Location: UK

PostPosted: Fri 02 Mar 2012, 19:38    Post_subject:  

Keef, thanks for the tips on Links, I will have a play with it, and see what I can do...
Sounds like a bit of a non-starter though, which is a shame Sad

Don, thanks very much. I'll add those QL and BR updates later,
doing other more 'backendy' things at the moment..
Same with the right click stuff, more pressing matters for me now...

about ext4: Various parts of Akita still need to be updated to support it..
It's not just the kernel: init script, rc.* scripts, libparted, gparted, PUI, etc..
If anyone can help be more specific about ext4 fixes, let me know...

I'll double check the slideshow thing... Good spot..

Thanks for the testing guys, much appreciated..
______________

And just to be clear, I still plan to release an Akita that uses a nice, new kernel.
I'm thinking the Wary 5.1.4.1 uniprocessor kernel.. I think it has PAE, too...
I don't care about PAE at all, but read the uniprocessor worked better than SMP...
I would like to also try a recent 3.x kernel, if possible...
And I will go with union_fs, not aufs, if possible..

A new kernel (+ required fixes) will provide new hardware support, ext4, etc...

AFAIK, various packages are kernel (feature) sensitive, but not so many...
These include libparted(?), nsidwrapper, alsa(?), others?
I'd like to be corrected if anyone knows I'm wrong!

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3289
Location: Ontario

PostPosted: Sat 03 Mar 2012, 13:26    Post_subject:  

I compiled the most recent mtpaint (with no jasper) and
it works well with akita. (version 3.44.03)

I had to compile using puppy 431 because the devx package I have is
for beta6 and it gave errors. Hopefully you've fixed the
problem with the beta7 devx package.

Here's all my software including bacon recorder and quick launch
archived so you can check.

http://www.datafilehost.com/download-7f2dd806.html

_______________________________________________________

Edited_times_total
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3289
Location: Ontario

PostPosted: Sat 03 Mar 2012, 13:30    Post_subject:  

Be careful when you choose libparted . It must be matched
with the kernel. I know that much about operating systems. Laughing

______________________________________________
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3289
Location: Ontario

PostPosted: Wed 07 Mar 2012, 21:31    Post_subject:  

Note to Scottman

I did an experiment to switch the "OpenWith' folder
from an English version to a German version
automatically.

I used Lazy since it has a lot of right click menu items and is mainly German.

But it could be used with Akita as well. It would need work to
switch more than two languages.

http://murga-linux.com/puppy/viewtopic.php?p=610425&sid=2c9882d32be53d5bc604e5aa54b1da83#610425

.

_________________________________
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3289
Location: Ontario

PostPosted: Wed 07 Mar 2012, 21:33    Post_subject:  

I successfully compiled mtpaint 3.44.03 with your newest devx package.

I had gotten errors from the previous devx package.

___________________________________________________
Back to top
View user's profile Send_private_message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2376
Location: UK

PostPosted: Fri 09 Mar 2012, 19:39    Post_subject:  

Quick note, more games added to the Akita Repo,

FreeCiv was compiled in Akita (wary 5.1.4.1 devx),
most other builds should work on all 4.x pups and later..
AssaultCube and Zombie Grinder needs OpenGL...

Also, I can't seem to get any servers with AssaultCube anymore..
The same also goes for AssaultCube Reloaded...
If anyone can get the online mulitplayer servers working that would be nice.

Also the new Akita devx is also uploaded, and it seems to work fine...

http://akita.scottjarvis.com/

Or listed by date: http://akita.scottjarvis.com/?C=M;O=D

assaultcube_reloaded-240-akita.pet 50M
assaultcube-1104-akita.pet 44M
freeciv-2.3.1-i486.pet 8.1M
freeciv_DEV-2.3.1-i486.pet 4.5M
freeciv_NLS-2.3.1-i486.pet 5.3M
teamviewer-6.pet 18M
zombiegrinder-323-akita.pet 51M
seven_kingdoms-2.14.3-akita.pet 40M
eDuke-1.4.0-i486-akita.pet 5.3M
epic_inventor-i486-akita.pet 63M
akita_devx-b8.sfs 109M

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send_private_message 
nancy reagan

Joined: 22 Jan 2009
Posts: 510

PostPosted: Sat 10 Mar 2012, 18:44    Post_subject: some Q's  

Hi Sc0ttman,

Though I am not swapping many distroes these days anymote, I thought I might use your Akita on my ramshackle 128mb Toshiba just for playing videos.


VLC worked but very slow, if not at all, on mp4's.

1.
Is there a feature to "cache" ?

Then tried some things on my 1Gig netbook.

Tried to install Gnome player, but after it said I should reboot. it hanged.

Tried to do a clean start up and then "save session".

Still hangs. Same when I try to do "restart X-server".

2.
Has this been mentioned before, what could I've done wrong ?

Tried to run FFmpeg converter. Hangs "wait a moment" (1 hour).

3.
?

Maybe I am doing things wrong ?

E D I T

Strangely enough the issues with rebooting etc. do not occur with my notebook 526Mb \. I guess it had something to do with the fact that my netbook had no graphics card.

Only question that remains is: Can VLC cache, and if so, HOW.
Back to top
View user's profile Send_private_message 
Peterm321

Joined: 29 Jan 2009
Posts: 230

PostPosted: Mon 12 Mar 2012, 22:01    Post_subject:  

sc0ttman wrote:

about ext4: Various parts of Akita still need to be updated to support it..
It's not just the kernel: init script, rc.* scripts, libparted, gparted, PUI, etc..
If anyone can help be more specific about ext4 fixes, let me know...


Turbolinux which uses k2.6.25.16 has an experimental ext4dev module. On my system it loads with "modprobe ext4dev" and it updates /proc/filesystems, however when I tried to use it I found it does require hacks, see http://fedoraproject.org/wiki/FedoraExt4

But if an experimental ext4 driver exists for k2.6.25.16, then it is possible someone updated this driver.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 39 of 70 Posts_count   Goto page: Previous 1, 2, 3, ..., 37, 38, 39, 40, 41, ..., 68, 69, 70 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1139s ][ Queries: 13 (0.0181s) ][ GZIP on ]